# ecom: Test2Module Class Reference

All Data Structures Namespaces Files Functions Variables
Test2Module Class Reference
Inheritance diagram for Test2Module:

## Public Member Functions

| install ()
| doAction ($ev)
| doShortCode ($short, $params)
Public Member Functions inherited from AModule
| install ()
| uninstall ()
| doAction ($event)
| doShortCode ($shortCode, $params)
| setContext ($context)
| setEntity ($entity)
| __get ($key)

## Additional Inherited Members

Static Public Member Functions inherited from AModule
static | registerHook ($hookName)

## Detailed Description

Definition at line 3 of file main.php.

## Member Function Documentation

doAction | ( |  | $ev | ) |

Definition at line 10 of file main.php.

{
}

doShortCode | ( |  | $short,
|  |  | $params
| ) |  |

Definition at line 14 of file main.php.

{
}

install | ( |  | ) |

Definition at line 5 of file main.php.

{
$this->registerHook("routerSetup");
}
Tools\AModule\registerHook
static registerHook($hookName)
Definition: AModule.php:78

The documentation for this class was generated from the following file:

- content/modules/test2/main.php